Update dashboard metadata
curl --request PATCH \
--url https://api.example.com/dashboard-v2/{id}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"createdById": "<string>",
"teamId": "<string>",
"scopeId": "<string>",
"tagIds": [
"<string>"
],
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {}
}
'import requests
url = "https://api.example.com/dashboard-v2/{id}/metadata"
payload = {
"name": "<string>",
"description": "<string>",
"createdById": "<string>",
"teamId": "<string>",
"scopeId": "<string>",
"tagIds": ["<string>"],
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
createdById: '<string>',
teamId: '<string>',
scopeId: '<string>',
tagIds: ['<string>'],
metricId: '<string>',
groupBy: '<string>',
startDate: '<string>',
endDate: '<string>',
conditions: {}
})
};
fetch('https://api.example.com/dashboard-v2/{id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/dashboard-v2/{id}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'createdById' => '<string>',
'teamId' => '<string>',
'scopeId' => '<string>',
'tagIds' => [
'<string>'
],
'metricId' => '<string>',
'groupBy' => '<string>',
'startDate' => '<string>',
'endDate' => '<string>',
'conditions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/dashboard-v2/{id}/metadata"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/dashboard-v2/{id}/metadata")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/dashboard-v2/{id}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Dashboards
Update dashboard metadata
Metadata-only patch (name, visibility, team, scope, tags, context). Does not rewrite widgets.
PATCH
/
dashboard-v2
/
{id}
/
metadata
Update dashboard metadata
curl --request PATCH \
--url https://api.example.com/dashboard-v2/{id}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"createdById": "<string>",
"teamId": "<string>",
"scopeId": "<string>",
"tagIds": [
"<string>"
],
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {}
}
'import requests
url = "https://api.example.com/dashboard-v2/{id}/metadata"
payload = {
"name": "<string>",
"description": "<string>",
"createdById": "<string>",
"teamId": "<string>",
"scopeId": "<string>",
"tagIds": ["<string>"],
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
createdById: '<string>',
teamId: '<string>',
scopeId: '<string>',
tagIds: ['<string>'],
metricId: '<string>',
groupBy: '<string>',
startDate: '<string>',
endDate: '<string>',
conditions: {}
})
};
fetch('https://api.example.com/dashboard-v2/{id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/dashboard-v2/{id}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'createdById' => '<string>',
'teamId' => '<string>',
'scopeId' => '<string>',
'tagIds' => [
'<string>'
],
'metricId' => '<string>',
'groupBy' => '<string>',
'startDate' => '<string>',
'endDate' => '<string>',
'conditions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/dashboard-v2/{id}/metadata"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/dashboard-v2/{id}/metadata")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/dashboard-v2/{id}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"createdById\": \"<string>\",\n \"teamId\": \"<string>\",\n \"scopeId\": \"<string>\",\n \"tagIds\": [\n \"<string>\"\n ],\n \"metricId\": \"<string>\",\n \"groupBy\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"conditions\": {}\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Path Parameters
Body
application/json
Available options:
PRIVATE, PUBLIC, TEMPLATE Available options:
TRAILING_90_DAYS, TRAILING_30_DAYS, TRAILING_45_DAYS, TRAILING_7_DAYS, TRAILING_3_DAYS, TRAILING_1_DAYS, TRAILING_14_WEEKS, MTD, QTD, YTD, CURRENT_MONTH, CURRENT_QUARTER, CURRENT_YEAR, LAST_WEEK, LAST_MONTH, LAST_6_MONTHS, LAST_12_MONTHS, LAST_4_YEARS, LAST_3_MONTHS, LAST_INVOICE_MONTH, null Show child attributes
Show child attributes
Available options:
USD, EUR, GBP, CNY, KRW, null Response
Updated
Last modified on October 12, 2026
Was this page helpful?
